PrimeAndGenerator Class Reference

generator of prime numbers of special forms More...

`#include <nbtheory.h>`

## Public Member Functions

| PrimeAndGenerator (signed int delta, RandomNumberGenerator &rng, unsigned int pbits)
| PrimeAndGenerator (signed int delta, RandomNumberGenerator &rng, unsigned int pbits, unsigned qbits)
void | Generate (signed int delta, RandomNumberGenerator &rng, unsigned int pbits, unsigned qbits)
const Integer & | Prime () const
const Integer & | SubPrime () const
const Integer & | Generator () const

## Detailed Description

generator of prime numbers of special forms

Definition at line 105 of file nbtheory.h.

The documentation for this class was generated from the following file:

- nbtheory.h